<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',12);
    $this->Cell(80);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
	$nomsede= $_GET['nomsede'];
    $this->Cell(40,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(80);
    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(80);
    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $this->Cell(80);
    $this->Cell(40,0,$nomsede,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $grupo=$_POST['grupoest'];
    $this->Cell(80);
    $this->Cell(40,0,'PROMEDIO GENERAL POR SEMESTRE PARA EL SIMAT',0,0,'C');
    $this->Ln(5);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=$registro["nemoie"];
		$direccion=$registro["direccionie"];
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  rep'.$tiporeporte,0,0,'R');
}
}

// Creación del objeto de la clase heredada

$pdf = new PDF('P','mm','letter');

$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$tipodocumento=$_POST['tipodocumento'];
$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
$contador="0";
include("../php/conexion-bdie.php");
$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$idestudiantematriculado=$FilaMatriculado["nuid"];
	$regestudiantes=mysql_query("Select nombres,apellidos From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador][0]=$FilaEstudiante["apellidos"]." ".$FilaEstudiante["nombres"];
		$estudiantesdesordenados[$contador][1]=$idestudiantematriculado;
		$contador=$contador+1;
	}
}
// Ordenar el array ... 
if ($estudiantesdesordenados)
	sort($estudiantesdesordenados);
else
	$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C');

$tamañoletra=8;
$tipoletra=$_POST['tipoletra'];
$pdf->SetFont($tipoletra,'',$tamañoletra);
include("../php/conexion-bdie.php");

$pdf->AddPage();
$pdf->SetMargins(15, 10, 10);
$pdf->Ln(2);
$pdf->Cell(185,5,'GRADO: '.substr($grupo,15,2).'  -  CURSO: '.substr($grupo,17,1),1,1,'C');
if ($tipodocumento=="1"){
	$pdf->Cell(65,5,'PRIMER SEMESTRE: Periodos 1 y 2',1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.substr($lectivo,1,4),1,0,'C');$pdf->Cell(40,5,'Periodo: '.$periodo,1,0,'C'); $pdf->Cell(40,5,'Fecha: '.date("d/m/Y").' '.date("h:m:s"),1,1,'C');
	$pdf->Ln(2);
	$pdf->Cell(10,5,'No.:',1,0,'C');$pdf->Cell(90,5,'ESTUDIANTE',1,0,'C');$pdf->Cell(40,5,'PROMEDIO',1,0,'C');$pdf->Cell(45,5,'NIVEL',1,1,'C');
	for ($i=0;$i<$contador;$i++) {
		$nombreestudiante=$estudiantesdesordenados[$i][0];
		$nuid=$estudiantesdesordenados[$i][1];
		
		if ($tipoplanillaparanotas=="1" Or $tipoplanillaparanotas=="4"){
			$pdf->SetFont($tipoletra,'',$tamañoletra);
			include("../php/conexion-bdie.php");
			$cont=0; $sumanotas=0; $nivel="-"; $promedio=number_format(0,1);
			$regnotas=mysql_query("Select definitiva,periodo From datos_notastipo1 Where nuid='$nuid'",$db_basededatosie);
			while ($FilaNotas=mysql_fetch_array($regnotas)){
				if ($FilaNotas["periodo"]=="1" Or $FilaNotas["periodo"]=="2"){
					$sumanotas=$sumanotas+$FilaNotas["definitiva"];
					$cont=$cont+1;
				}
			}
			if ($sumanotas>0)
				$promedio=number_format($sumanotas / $cont,1);
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(90,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(40,$tamañoletra-4,$promedio,1,0,'C');
			if (number_format($promedio,1)<3)
				$nivel="BAJO";
			if (number_format($promedio,1)>=3 And number_format($promedio,1)<=3.9)
				$nivel="BASICO";
			if (number_format($promedio,1)>=4 && number_format($promedio,1)<=4.5)
				$nivel="ALTO";
			if (number_format($promedio,1)>=4.6)
				$nivel="SUPERIOR";
			$pdf->Cell(45,$tamañoletra-4,$nivel,1,1,'C');
		}
		if ($tipoplanillaparanotas=="3"){
			$pdf->SetFont($tipoletra,'',$tamañoletra);
			include("../php/conexion-bdie.php");
			$cont=0; $sumanotas=0; $nivel="-"; $promedio=number_format(0,1); $definitiva=0;
			$regnotas=mysql_query("Select nota1,nota2,nota3,periodo From datos_notastipo3 Where nuid='$nuid'",$db_basededatosie);
			while ($FilaNotas=mysql_fetch_array($regnotas)){
				if ($FilaNotas["periodo"]=="1" Or $FilaNotas["periodo"]=="2"){
					$n1=$FilaNotas["nota1"];
					$n2=$FilaNotas["nota2"];
					$n3=$FilaNotas["nota3"];
					$definitiva=round($n1*.6,2)+round($n2*.2,2)+round($n3*.2,2);				
					$sumanotas=$sumanotas+$definitiva;
					$cont=$cont+1;
				}
			}
			if ($sumanotas>0)
				$promedio=number_format($sumanotas / $cont,1);
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(90,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(40,$tamañoletra-4,$promedio,1,0,'C');
			if (number_format($promedio,1)<6)
				$nivel="BAJO";
			if (number_format($promedio,1)>=6 And number_format($promedio,1)<=7.4)
				$nivel="BASICO";
			if (number_format($promedio,1)>=7.5 && number_format($promedio,1)<=8.9)
				$nivel="ALTO";
			if (number_format($promedio,1)>=9)
				$nivel="SUPERIOR";
			$pdf->Cell(45,$tamañoletra-4,$nivel,1,1,'C');
		}
	}
}
if ($tipodocumento=="2"){
	$pdf->Cell(65,5,'SEGUNDO SEMESTRE: Periodos 3 y 4',1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.substr($lectivo,1,4),1,0,'C');$pdf->Cell(40,5,'Periodo: '.$periodo,1,0,'C'); $pdf->Cell(40,5,'Fecha: '.date("d/m/Y").' '.date("h:m:s"),1,1,'C');
	$pdf->Ln(2);
	$pdf->Cell(10,5,'No.:',1,0,'C');$pdf->Cell(90,5,'ESTUDIANTE',1,0,'C');$pdf->Cell(40,5,'PROMEDIO',1,0,'C');$pdf->Cell(45,5,'NIVEL',1,1,'C');
	for ($i=0;$i<$contador;$i++) {
		$nombreestudiante=$estudiantesdesordenados[$i][0];
		$nuid=$estudiantesdesordenados[$i][1];
		
		if ($tipoplanillaparanotas=="1"){
			$pdf->SetFont($tipoletra,'',$tamañoletra);
			include("../php/conexion-bdie.php");
			$cont=0; $sumanotas=0; $nivel="-"; $promedio=number_format(0,1);
			$regnotas=mysql_query("Select definitiva,periodo From datos_notastipo1 Where nuid='$nuid'",$db_basededatosie);
			while ($FilaNotas=mysql_fetch_array($regnotas)){
				if ($FilaNotas["periodo"]=="3" Or $FilaNotas["periodo"]=="4"){
					$sumanotas=$sumanotas+$FilaNotas["definitiva"];
					$cont=$cont+1;
				}
			}
			if ($sumanotas>0)
				$promedio=number_format($sumanotas / $cont,1);
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(90,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(40,$tamañoletra-4,$promedio,1,0,'C');
			if (number_format($promedio,1)<3)
				$nivel="BAJO";
			if (number_format($promedio,1)>=3 And number_format($promedio,1)<=3.9)
				$nivel="BASICO";
			if (number_format($promedio,1)>=4 && number_format($promedio,1)<=4.5)
				$nivel="ALTO";
			if (number_format($promedio,1)>=4.6)
				$nivel="SUPERIOR";
			$pdf->Cell(45,$tamañoletra-4,$nivel,1,1,'C');
		}
		if ($tipoplanillaparanotas=="3"){
			$pdf->SetFont($tipoletra,'',$tamañoletra);
			include("../php/conexion-bdie.php");
			$cont=0; $sumanotas=0; $nivel="-"; $promedio=number_format(0,1); $definitiva=0;
			$regnotas=mysql_query("Select nota1,nota2,nota3,periodo From datos_notastipo3 Where nuid='$nuid'",$db_basededatosie);
			while ($FilaNotas=mysql_fetch_array($regnotas)){
				if ($FilaNotas["periodo"]=="3" Or $FilaNotas["periodo"]=="4"){
					$n1=$FilaNotas["nota1"];
					$n2=$FilaNotas["nota2"];
					$n3=$FilaNotas["nota3"];
					$definitiva=round($n1*.6,2)+round($n2*.2,2)+round($n3*.2,2);				
					$sumanotas=$sumanotas+$definitiva;
					$cont=$cont+1;
				}
			}
			if ($sumanotas>0)
				$promedio=number_format($sumanotas / $cont,1);
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(90,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(40,$tamañoletra-4,$promedio,1,0,'C');
			if (number_format($promedio,1)<6)
				$nivel="BAJO";
			if (number_format($promedio,1)>=6 And number_format($promedio,1)<=7.4)
				$nivel="BASICO";
			if (number_format($promedio,1)>=7.5 && number_format($promedio,1)<=8.9)
				$nivel="ALTO";
			if (number_format($promedio,1)>=9)
				$nivel="SUPERIOR";
			$pdf->Cell(45,$tamañoletra-4,$nivel,1,1,'C');
		}
	}
}

$pdf->Output();
?>